remove giteapc support + fix vxSDK installation step + fix error output stream

This commit is contained in:
Yann MAGNIN 2022-07-30 19:42:06 +02:00
parent 156e563a67
commit f3932114c7
4 changed files with 7 additions and 37 deletions

View File

@ -12,12 +12,12 @@ build:
install:
@ cd ./scripts/binutils \
&& ./install.sh --prefix="$(PREFIX)" \
&& cd ../gcc && ./install.sh --prefix="$(PREFIX)"
&& ./install.sh --prefix="$(VXSDK_PREFIX_INSTALL)" \
&& cd ../gcc && ./install.sh --prefix="$(VXSDK_PREFIX_INSTALL)"
uninstall:
@ cd ./scripts/binutils \
&& ./uninstall.sh --prefix="$(PREFIX)" \
&& cd ../gcc && ./uninstall.sh --prefix="$(PREFIX)"
&& ./uninstall.sh --prefix="$(VXSDK_PREFIX_INSTALL)" \
&& cd ../gcc && ./uninstall.sh --prefix="$(VXSDK_PREFIX_INSTALL)"
.PHONY: configure build install uninstall

View File

@ -1,30 +0,0 @@
# giteapc: version=1
VERSION_BINUTILS := 2.37
VERSION_GCC := 11.2.0
# Try to find if the file is involved by giteapc or vxsdk
ifeq ($(GITEAPC_PREFIX),)
PREFIX ?= $(VXSDK_PREFIX_INSTALL)
endif
ifeq ($(VXSDK_PREFIX_INSTALL),)
PREFIX ?= $(GITEAPC_PREFIX)
endif
configure:
@ cd ./scripts/binutils && ./configure.sh --version=$(VERSION_BINUTILS)
@ cd ./scripts/gcc && ./configure.sh --version=$(VERSION_GCC)
build:
@ cd ./scripts/binutils && ./build.sh
@ cd ./scripts/gcc && ./build.sh
install:
@ cd ./scripts/binutils && ./install.sh --prefix="$(PREFIX)"
@ cd ./scripts/gcc && ./install.sh --prefix="$(PREFIX)"
uninstall:
@ cd ./scripts/binutils && ./uninstall.sh --prefix="$(PREFIX)"
@ cd ./scripts/gcc && ./uninstall.sh --prefix="$(PREFIX)"
.PHONY: configure build install uninstall

View File

@ -2,7 +2,7 @@
# select the appropriate quiet primitive
quiet='run_normaly'
[[ "$verbose" == "false" ]] && quiet='run_quietly giteapc-build.log'
[[ "$verbose" == "false" ]] && quiet='run_quietly vxsdk-build.log'
# Number of processor cores
[[ $(uname) == "OpenBSD" ]] && cores=$(sysctl -n hw.ncpu) || cores=$(nproc)
@ -27,7 +27,8 @@ run_quietly() {
shift 1
"$@" >$out 2>&1
if [[ "$?" != 0 ]]; then
echo "$TAG error: command failed, please check $(pwd)/$out o(x_x)o"
>&2 echo "$TAG error: command failed, please check $(pwd)/$out o(x_x)o"
>&2 echo "$@"
exit 1
fi
}

View File

@ -1,6 +1,5 @@
[project]
name = 'sh-elf-vhex'
version = '1.0.3'
type = 'app'
[build]